@ECHO OFF
ECHO.
CHOICE "Install metapad.exe as notepad.exe (and rename old notepad.exe to notepadX.exe) "
IF ERRORLEVEL 2 GOTO Abort

IF NOT EXIST metapad.exe GOTO Missing
IF EXIST %windir%\notepadX.exe GOTO Already

REN %windir%\notepad.exe notepadX.exe
COPY metapad.exe %windir%\notepad.exe

IF NOT EXIST %windir%\system32\notepad.exe GOTO Done
IF EXIST %windir%\system32\notepadX.exe GOTO Already
REN %windir%\system32\notepad.exe notepadX.exe
COPY metapad.exe %windir%\system32\notepad.exe
GOTO Done

:Already
ECHO.
ECHO Error: The file notepadX.exe already exists.
GOTO End
:Missing
ECHO.
ECHO Error: The file metapad.exe is not in current directory.
GOTO End.
:Abort
ECHO.
ECHO Aborted.
GOTO End
:Done
ECHO.
ECHO ...Done.
:End
ECHO.